
package com.tmerclub.cloud.distribution.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商家转账VO
 *
 * @author tmerclub
 * @date 2023-02-22 15:58:50
 */
public class EnterprisePayVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商家转账ID")
    private Long entPayId;

    @Schema(description = "状态(1:申请中 2:已完成 -1:失败)")
    private Integer status;

    @Schema(description = "用户id")
    private String userId;

    @Schema(description = "用户openid")
    private String openId;

    @Schema(description = "商家转账订单号")
    private Long entPayOrderNo;

    @Schema(description = "金额")
    private Double amount;

    @Schema(description = "支付类型(1:商户提现)")
    private Integer type;

    @Schema(description = "业务id，如商户提现即商户提现记录ID")
    private Long bizId;

    @Schema(description = "版本号")
    private Integer version;

    @Schema(description = "转账批次单号")
    private String outBatchNo;

    public Long getEntPayId() {
        return entPayId;
    }

    public void setEntPayId(Long entPayId) {
        this.entPayId = entPayId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public Long getEntPayOrderNo() {
        return entPayOrderNo;
    }

    public void setEntPayOrderNo(Long entPayOrderNo) {
        this.entPayOrderNo = entPayOrderNo;
    }

    public Double getAmount() {
        return amount;
    }

    public void setAmount(Double amount) {
        this.amount = amount;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Long getBizId() {
        return bizId;
    }

    public void setBizId(Long bizId) {
        this.bizId = bizId;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public String getOutBatchNo() {
        return outBatchNo;
    }

    public void setOutBatchNo(String outBatchNo) {
        this.outBatchNo = outBatchNo;
    }

    @Override
    public String toString() {
        return "EnterprisePayVO{" +
                "entPayId=" + entPayId +
                ",status=" + status +
                ",userId=" + userId +
                ",openId=" + openId +
                ",entPayOrderNo=" + entPayOrderNo +
                ",amount=" + amount +
                ",type=" + type +
                ",bizId=" + bizId +
                ",version=" + version +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",outBatchNo=" + outBatchNo +
                '}';
    }
}
